<?php
//about theme info
add_action( 'admin_menu', 'aqeeq_agency_gettingstarted' );
function aqeeq_agency_gettingstarted() {
	add_theme_page( esc_html__('About Aqeeq Agency', 'aqeeq-agency'), esc_html__('About Aqeeq Agency', 'aqeeq-agency'), 'edit_theme_options', 'aqeeq_agency_guide', 'aqeeq_agency_mostrar_guide');
}

// Add a Custom CSS file to WP Admin Area
function aqeeq_agency_admin_theme_style() {
	wp_enqueue_style('aqeeq-agency-custom-admin-style', esc_url(get_template_directory_uri()) . '/inc/getstart/getstart.css');
	wp_enqueue_script('aqeeq-agency-tabs', esc_url(get_template_directory_uri()) . '/inc/getstart/js/tab.js');
}
add_action('admin_enqueue_scripts', 'aqeeq_agency_admin_theme_style');

//guidline for about theme
function aqeeq_agency_mostrar_guide() { 
	//custom function about theme customizer
	$aqeeq_agency_return = add_query_arg( array()) ;
	$aqeeq_agency_theme = wp_get_theme( 'aqeeq-agency' );
?>

<div class="wrapper-info">
    <div class="col-left">
    	<h2><?php esc_html_e( 'Welcome to Aqeeq Agency', 'aqeeq-agency' ); ?> <span class="version"><?php esc_html_e( 'Version', 'aqeeq-agency' ); ?>: <?php echo esc_html($aqeeq_agency_theme['Version']);?></span></h2>
    	<p><?php esc_html_e('All our WordPress themes are modern, minimalist, 100% responsive, seo-friendly,feature-rich, and multipurpose that best suit designers, bloggers and other professionals who are working in the creative fields.','aqeeq-agency'); ?></p>
    </div>
    <div class="tab-sec">
    	<div class="tab">
			<button class="tablinks" onclick="aqeeq_agency_open_tab(event, 'lite_theme')"><?php esc_html_e( 'Setup With Customizer', 'aqeeq-agency' ); ?></button>
			<button class="tablinks" onclick="aqeeq_agency_open_tab(event, 'gutenberg_editor')"><?php esc_html_e( 'Setup With Gutunberg Block', 'aqeeq-agency' ); ?></button>
		</div>

		<?php
			$aqeeq_agency_plugin_custom_css = '';
			if(class_exists('Ibtana_Visual_Editor_Menu_Class')){
				$aqeeq_agency_plugin_custom_css ='display: block';
			}
		?>
		<div id="lite_theme" class="tabcontent open">
			<?php if(!class_exists('Ibtana_Visual_Editor_Menu_Class')){ 
				$plugin_ins = Aqeeq_Agency_Plugin_Activation_Settings::get_instance();
				$aqeeq_agency_actions = $plugin_ins->recommended_actions;
				?>
				<div class="aqeeq-agency-recommended-plugins">
				    <div class="aqeeq-agency-action-list">
				        <?php if ($aqeeq_agency_actions): foreach ($aqeeq_agency_actions as $key => $aqeeq_agency_actionValue): ?>
				                <div class="aqeeq-agency-action" id="<?php echo esc_attr($aqeeq_agency_actionValue['id']);?>">
			                        <div class="action-inner">
			                            <h3 class="action-title"><?php echo esc_html($aqeeq_agency_actionValue['title']); ?></h3>
			                            <div class="action-desc"><?php echo esc_html($aqeeq_agency_actionValue['desc']); ?></div>
			                            <?php echo wp_kses_post($aqeeq_agency_actionValue['link']); ?>
			                            <a class="ibtana-skip-btn" get-start-tab-id="lite-theme-tab" href="javascript:void(0);"><?php esc_html_e('Skip','aqeeq-agency'); ?></a>
			                        </div>
				                </div>
				            <?php endforeach;
				        endif; ?>
				    </div>
				</div>
			<?php } ?>
			<div class="lite-theme-tab" style="<?php echo esc_attr($aqeeq_agency_plugin_custom_css); ?>">
				<h3><?php esc_html_e( 'Lite Theme Information', 'aqeeq-agency' ); ?></h3>
				<hr class="h3hr">
				<p><?php esc_html_e('Aqeeq Agency is a creative theme that is available for free use and brings a clean and sophisticated design for creating portfolios, photography websites, designing agencies, businesses, corporate sector, consultancies, marketing agencies, blogs, advertising agencies, and much more. This theme is multipurpose and makes use of quality codes implemented using the Bootstrap framework as a base. With a minimal design very well adding to the overall appeal, this theme makes use of top-notch HTML codes that will further enhance the overall performance of the website. The elegant layout will never fail to impress as there is stunning imagery quickly grabbing the attention of the audience. The design supports translating your content into various languages including RTL support as well and this is possible due to the theme’s translation-ready feature. Many personalization options are available for letting you make the color changes, font changes as well as logo and favicon. You can make a huge difference with SEO-friendly codes as it makes your online presence more acknowledgeable to bring you more organic traffic. These optimized codes will give you faster page load time and provide a secure and clean environment for your website. Many social media icons are available and CSS animations will further add to the look and feel.','aqeeq-agency'); ?></p>
			  	<div class="col-left-inner">
			  		<h4><?php esc_html_e( 'Theme Documentation', 'aqeeq-agency' ); ?></h4>
					<p><?php esc_html_e( 'If you need any assistance regarding setting up and configuring the Theme, our documentation is there.', 'aqeeq-agency' ); ?></p>
					<div class="info-link">
						<a href="<?php echo esc_url( AQEEQ_AGENCY_FREE_THEME_DOC ); ?>" target="_blank"> <?php esc_html_e( 'Documentation', 'aqeeq-agency' ); ?></a>
					</div>
					<hr>
					<h4><?php esc_html_e('Theme Customizer', 'aqeeq-agency'); ?></h4>
					<p> <?php esc_html_e('To begin customizing your website, start by clicking "Customize".', 'aqeeq-agency'); ?></p>
					<div class="info-link">
						<a target="_blank" href="<?php echo esc_url( admin_url('customize.php') ); ?>"><?php esc_html_e('Customizing', 'aqeeq-agency'); ?></a>
					</div>
					<hr>
					<h4><?php esc_html_e('Having Trouble, Need Support?', 'aqeeq-agency'); ?></h4>
					<p> <?php esc_html_e('Our dedicated team is well prepared to help you out in case of queries and doubts regarding our theme.', 'aqeeq-agency'); ?></p>
					<div class="info-link">
						<a href="<?php echo esc_url( AQEEQ_AGENCY_SUPPORT ); ?>" target="_blank"><?php esc_html_e('Support Forum', 'aqeeq-agency'); ?></a>
					</div>
					<hr>
					<h4><?php esc_html_e('Reviews & Testimonials', 'aqeeq-agency'); ?></h4>
					<p> <?php esc_html_e('All the features and aspects of this WordPress Theme are phenomenal. I\'d recommend this theme to all.', 'aqeeq-agency'); ?></p>
					<div class="info-link">
						<a href="<?php echo esc_url( AQEEQ_AGENCY_REVIEW ); ?>" target="_blank"><?php esc_html_e('Reviews', 'aqeeq-agency'); ?></a>
					</div>

					<div class="link-customizer">
						<h3><?php esc_html_e( 'Link to customizer', 'aqeeq-agency' ); ?></h3>
						<hr class="h3hr">
						<div class="first-row">
							<div class="row-box">
								<div class="row-box1">
									<span class="dashicons dashicons-buddicons-buddypress-logo"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[control]=custom_logo') ); ?>" target="_blank"><?php esc_html_e('Upload your logo','aqeeq-agency'); ?></a>
								</div>
								<div class="row-box2">
									<span class="dashicons dashicons-format-gallery"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=aqeeq_agency_post_settings') ); ?>" target="_blank"><?php esc_html_e('Post settings','aqeeq-agency'); ?></a>
								</div>
							</div>

							<div class="row-box">
								<div class="row-box1">
									<span class="dashicons dashicons-slides"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=aqeeq_agency_slidersettings') ); ?>" target="_blank"><?php esc_html_e('Slider Settings','aqeeq-agency'); ?></a>
								</div>
								<div class="row-box2">
									<span class="dashicons dashicons-category"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=aqeeq_agency_features_section') ); ?>" target="_blank"><?php esc_html_e('Features Section','aqeeq-agency'); ?></a>
								</div>
							</div>
						
							<div class="row-box">
								<div class="row-box1">
									<span class="dashicons dashicons-menu"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[panel]=nav_menus') ); ?>" target="_blank"><?php esc_html_e('Menus','aqeeq-agency'); ?></a>
								</div>
								<div class="row-box2">
									<span class="dashicons dashicons-screenoptions"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[panel]=widgets') ); ?>" target="_blank"><?php esc_html_e('Footer Widget','aqeeq-agency'); ?></a>
								</div>
							</div>
							
							<div class="row-box">
								<div class="row-box1">
									<span class="dashicons dashicons-admin-generic"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=aqeeq_agency_left_right') ); ?>" target="_blank"><?php esc_html_e('General Settings','aqeeq-agency'); ?></a>
								</div>
								<div class="row-box2">
									<span class="dashicons dashicons-text-page"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=aqeeq_agency_footer') ); ?>" target="_blank"><?php esc_html_e('Footer Text','aqeeq-agency'); ?></a>
								</div>
							</div>
						</div>
					</div>
			  	</div>
				<div class="col-right-inner">
					<h3 class="page-template"><?php esc_html_e('How to set up Home Page Template','aqeeq-agency'); ?></h3>
				  	<hr class="h3hr">
					<p><?php esc_html_e('Follow these instructions to setup Home page.','aqeeq-agency'); ?></p>
                  	<p><span class="strong"><?php esc_html_e('1. Create a new page :','aqeeq-agency'); ?></span><?php esc_html_e(' Go to ','aqeeq-agency'); ?>
					  	<b><?php esc_html_e(' Dashboard >> Pages >> Add New Page','aqeeq-agency'); ?></b></p>
                  	<p><?php esc_html_e('Name it as "Home" then select the template "Custom Home Page".','aqeeq-agency'); ?></p>
                  	<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstart/images/home-page-template.png" alt="" />
                  	<p><span class="strong"><?php esc_html_e('2. Set the front page:','aqeeq-agency'); ?></span><?php esc_html_e(' Go to ','aqeeq-agency'); ?>
					  	<b><?php esc_html_e(' Settings >> Reading ','aqeeq-agency'); ?></b></p>
				  	<p><?php esc_html_e('Select the option of Static Page, now select the page you created to be the homepage, while another page to be your default page.','aqeeq-agency'); ?></p>
                  	<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstart/images/set-front-page.png" alt="" />
                  	<p><?php esc_html_e(' Once you are done with setup, then follow the','aqeeq-agency'); ?> <a class="doc-links" href="<?php echo esc_url( AQEEQ_AGENCY_FREE_THEME_DOC ); ?>" target="_blank"><?php esc_html_e('Documentation','aqeeq-agency'); ?></a></p>
			  	</div>
			</div>
		</div>
		
		<div id="gutenberg_editor" class="tabcontent">
			<?php if(!class_exists('Ibtana_Visual_Editor_Menu_Class')){ 
			$plugin_ins = Aqeeq_Agency_Plugin_Activation_Settings::get_instance();
			$aqeeq_agency_actions = $plugin_ins->recommended_actions;
			?>
				<div class="aqeeq-agency-recommended-plugins">
				    <div class="aqeeq-agency-action-list">
				        <?php if ($aqeeq_agency_actions): foreach ($aqeeq_agency_actions as $key => $aqeeq_agency_actionValue): ?>
				                <div class="aqeeq-agency-action" id="<?php echo esc_attr($aqeeq_agency_actionValue['id']);?>">
			                        <div class="action-inner plugin-activation-redirect">
			                            <h3 class="action-title"><?php echo esc_html($aqeeq_agency_actionValue['title']); ?></h3>
			                            <div class="action-desc"><?php echo esc_html($aqeeq_agency_actionValue['desc']); ?></div>
			                            <?php echo wp_kses_post($aqeeq_agency_actionValue['link']); ?>
			                        </div>
				                </div>
				            <?php endforeach;
				        endif; ?>
				    </div>
				</div>
			<?php }else{ ?>
				<h3><?php esc_html_e( 'Gutunberg Blocks', 'aqeeq-agency' ); ?></h3>
				<hr class="h3hr">
				<div class="aqeeq-agency-pattern-page">
			    	<a href="<?php echo esc_url( admin_url( 'admin.php?page=ibtana-visual-editor-templates' ) ); ?>" class="vw-pattern-page-btn ibtana-dashboard-page-btn button-primary button"><?php esc_html_e('Ibtana Settings','aqeeq-agency'); ?></a>
			    </div>

			    <div class="link-customizer-with-guternberg-ibtana">
	              	<div class="link-customizer-with-block-pattern">
						<h3><?php esc_html_e( 'Link to customizer', 'aqeeq-agency' ); ?></h3>
						<hr class="h3hr">
						<div class="first-row">
							<div class="row-box">
								<div class="row-box1">
									<span class="dashicons dashicons-buddicons-buddypress-logo"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[control]=custom_logo') ); ?>" target="_blank"><?php esc_html_e('Upload your logo','aqeeq-agency'); ?></a>
								</div>
								<div class="row-box2">
									<span class="dashicons dashicons-format-gallery"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=aqeeq_agency_post_settings') ); ?>" target="_blank"><?php esc_html_e('Post settings','aqeeq-agency'); ?></a>
								</div>
							</div>
							<div class="row-box">
								<div class="row-box1">
									<span class="dashicons dashicons-menu"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[panel]=nav_menus') ); ?>" target="_blank"><?php esc_html_e('Menus','aqeeq-agency'); ?></a>
								</div>
								
								<div class="row-box2">
									<span class="dashicons dashicons-text-page"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=aqeeq_agency_footer') ); ?>" target="_blank"><?php esc_html_e('Footer Text','aqeeq-agency'); ?></a>
								</div>
							</div>
							
							<div class="row-box">
								<div class="row-box1">
									<span class="dashicons dashicons-admin-generic"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=aqeeq_agency_left_right') ); ?>" target="_blank"><?php esc_html_e('General Settings','aqeeq-agency'); ?></a>
								</div>
								 <div class="row-box2">
									<span class="dashicons dashicons-screenoptions"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[panel]=widgets') ); ?>" target="_blank"><?php esc_html_e('Footer Widget','aqeeq-agency'); ?></a>
								</div> 
							</div>
						</div>
					</div>	
				</div>
			<?php } ?>
		</div>

	</div>
</div>

<?php } ?>